complexType "MoneyBase"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency
</...>

Content Model Elements (1):

  currency (defined in MoneyBase complexType)

Known Direct Subtypes (3):

  Money, NonNegativeMoney, PositiveMoney

Known Indirect Subtypes (5):

  CalculationAmount, CommoditySpread, FutureValueAmount, FxOptionPayout, NotionalAmount

All Direct / Indirect Based Elements (68):

  accruedInterest,
  allocatedNotional,
  amount (defined in PendingPayment complexType),
  basketAmount,
  calculationAmount,
  callCurrencyAmount,
  cashflowAmount,
  changeInNotionalAmount (defined in TradeLegNotionalChange.model group),
  changeInNotionalAmount (defined in TradeNotionalChange.model group),
  contractRate,
  creditChargeAmount,
  dividend,
  exerciseInNotionalAmount,
  factoredCalculationAmount,
  fixedAmount (in periodicPayment),
  fixedAmount (in singlePayment),
  flatRateAmount,
  forwardPrice,
  maximumNotionalAmount (defined in FxMultipleExercise complexType),
  maximumPaymentAmount,
  maximumTransactionPaymentAmount,
  minimumExecutionAmount,
  minimumNotionalAmount (defined in FxMultipleExercise complexType),
  nominal,
  notional (defined in EquityDerivativeBase complexType),
  notional (in fra),
  notionalAmount (defined in FxCashSettlement complexType),
  notionalAmount (defined in OptionBaseExtended complexType),
  notionalAmount (defined in ReturnSwapNotional complexType),
  notionalAmount (in correlation),
  notionalAmount (in fxFlexibleForward),
  novatedAmount,
  outstandingNotionalAmount (defined in OptionExercise complexType),
  outstandingNotionalAmount (defined in TradeLegNotionalChange.model group),
  outstandingNotionalAmount (defined in TradeNotionalChange.model group),
  partialExerciseAmount,
  paymentAmount (defined in EquityPremium complexType),
  paymentAmount (defined in NonNegativePayment complexType),
  paymentAmount (defined in Payment complexType),
  paymentAmount (defined in PaymentDetails.model group),
  paymentAmount (defined in PositivePayment complexType),
  paymentAmount (defined in SimplePayment complexType),
  paymentAmount (in additionalPaymentAmount),
  paymentAmount (in fixedPayment),
  paymentAmount (in initialPayment),
  paymentAmount (in paymentDetail),
  payout,
  premiumPerUnit,
  prePaymentAmount,
  presentValueAmount,
  pricePerOption (defined in EquityPremium complexType),
  pricePerOption (in premium defined in OptionBaseExtended complexType),
  principalAmount (in principalExchangeAmount in principalExchangeDescriptions),
  putCurrencyAmount,
  remainingAmount,
  settlementAmount (defined in EquityOptionTermination complexType),
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  splitSettlementAmount,
  spread (defined in FloatingLegCalculation complexType),
  strikePricePerUnit,
  stubAmount,
  totalPrice (in fixedLeg in commodityForward),
  totalPrice (in fixedLeg),
  underlyerNotional,
  value (in collateralValueAllocation),
  varianceAmount,
  weatherNotionalAmount (in commodityOption),
  weatherNotionalAmount (in weatherLeg)

Known Usage Locations

- In derivations of other global types (3):

  Money (as extension base), NonNegativeMoney (as extension base), | PositiveMoney (as extension base)

Annotation
Abstract base class for all money types.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="MoneyBase"> <xsd:sequence> <xsd:element name="currency" type="Currency"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/1)
currency

  Type: | Currency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="currency" type="Currency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.